Bug 1004770 - NoClassDefFoundError when trying to run adminshell
NoClassDefFoundError when trying to run adminshell
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Teiid (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity unspecified
: ER2
: 6.0
Assigned To: Julian Coleman
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-05 09:00 EDT by Van Halbert
Modified: 2014-07-09 01:01 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-06 10:37:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker TEIID-2649 Blocker Closed NoClassDefFoundError when trying to run adminshell 2013-12-05 08:55:45 EST

  None (edit)
Comment 2 JBoss JIRA Server 2013-09-05 09:03:36 EDT
Ramesh Reddy <rareddy@jboss.org> made a comment on jira TEIID-2649

what is the operation you were running for this to occur?
Comment 3 JBoss JIRA Server 2013-09-05 09:35:37 EDT
Van Halbert <vhalbert@jboss.org> made a comment on jira TEIID-2649

just run:  ./adminshell.sh

and you get the exception.

Also, the file permission on the .sh scripts need to fixed in the assembly to make them executable
Comment 4 JBoss JIRA Server 2013-09-05 09:56:09 EDT
Steven Hawkins <shawkins@redhat.com> made a comment on jira TEIID-2649

The assembly explicitly sets the .sh permissions and they are executable on my system.  What platform are you using?

I also don't get that exception.  Are you running with a vm that does not support the wildcard classpath?
Comment 7 JBoss JIRA Server 2013-09-05 11:13:42 EDT
Van Halbert <vhalbert@jboss.org> updated the status of jira TEIID-2649 to Resolved
Comment 8 JBoss JIRA Server 2013-09-05 11:13:42 EDT
Van Halbert <vhalbert@jboss.org> made a comment on jira TEIID-2649

This is not a teiid project issue.
Comment 16 JBoss JIRA Server 2013-12-05 08:55:49 EST
Steven Hawkins <shawkins@redhat.com> updated the status of jira TEIID-2649 to Closed

Note You need to log in before you can comment on or make changes to this bug.